%define anolis_release 28
Summary: Compact Disc Digital Audio (CDDA) extraction tool (or ripper)
Name: cdparanoia
Version: 10.2
Release: %{anolis_release}%{?dist}
# the app is GPLv2 and GPLv2+, everything else is LGPLv2
License: GPLv2 and GPLv2+ and LGPLv2
URL: http://www.xiph.org/paranoia/index.html

Source: http://downloads.xiph.org/releases/cdparanoia/cdparanoia-III-%{version}.src.tgz

Patch1: cdparanoia-10.2-install.patch
Patch2: cdparanoia-10.2-format-security.patch
Patch3: cdparanoia-10.2-add-pkgconfig.patch
Patch4: cdparanoia-use-proper-gnu-config-files.patch

Requires: %{name}-libs = %{version}-%{release}

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires: make

%description
Cdparanoia (Paranoia III) reads digital audio directly from a CD, then
writes the data to a file or pipe in WAV, AIFC or raw 16 bit linear
PCM format.  Cdparanoia doesn't contain any extra features (like the ones
included in the cdda2wav sampling utility).  Instead, cdparanoia's strength
lies in its ability to handle a variety of hardware, including inexpensive
drives prone to misalignment, frame jitter and loss of streaming during
atomic reads.  Cdparanoia is also good at reading and repairing data from
damaged CDs.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package static
Summary: Development tools for libcdda_paranoia (Paranoia III)
Requires: cdparanoia-devel = %{version}-%{release}
License: LGPLv2

%description static
The cdparanoia-devel package contains the static libraries needed for
developing applications to read CD Digital Audio disks.

%package libs
Summary: Libraries for libcdda_paranoia (Paranoia III)
License: LGPLv2

%description libs
The cdparanoia-libs package contains the dynamic libraries needed for
applications which read CD Digital Audio disks.

%package devel
Summary: Development tools for libcdda_paranoia (Paranoia III)
Requires: %{name}-libs = %{version}-%{release}
License: LGPLv2

%description devel
The cdparanoia-devel package contains the libraries and header files needed
for developing applications to read CD Digital Audio disks.

%prep
%setup -q -n cdparanoia-III-%{version}
%patch1 -p1 -b .install
%patch2 -p1 -b .fmt-sec
%patch3 -p1 -b .pkgconfig
%patch4 -p1 -b .conf

%build
autoreconf -ifv
%configure --includedir=%{_includedir}/cdda
# Also remove many warnings which we are aware of
# Lastly, don't use _smp_mflags since it also makes the build fail
make OPT="$RPM_OPT_FLAGS -Wno-pointer-sign -Wno-unused" LDFLAGS="%{?__global_ldflags}"


%install
%make_install

%generate_compatibility_deps

%files
%license COPYING*
%{_bindir}/cdparanoia
%{abidir}/cdparanoia-option.list
%{_mandir}/man1/cdparanoia.1*

%files doc
%doc README

%files libs
%dir %{abidir}
%{_libdir}/*.so.*
%{abidir}/*.dump

%files devel
%{_includedir}/cdda/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files static
%{_libdir}/*.a

%changelog 
* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 10.2-28
- Bump release for upgrading from anolis 8

* Tue Nov 01 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 10.2-3
- optimise spec file

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 10.2-2
- add doc package

* Mon Apr 11 2022 Zhongling He <zhonglingh@linux.alibaba.com> 10.2-1
- Init package from upstream v10.2
